Net::DNS::RR::PX(3)

NAME
Net::DNS::RR::PX - DNS PX resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name PX preference map822 mapx400');

DESCRIPTION
Class for DNS X.400 Mail Mapping Information (PX) resource records.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  preference
    $preference = $rr->preference;
    $rr->preference( $preference );

A 16 bit integer which specifies the preference given to this RR among others at the same owner. Lower values are preferred.

  map822
    $map822 = $rr->map822;
    $rr->map822( $map822 );

A domain name element containing <rfc822-domain>, the RFC822 part of the MIXER Conformant Global Address Mapping.

  mapx400
    $mapx400 = $rr->mapx400;
    $rr->mapx400( $mapx400 );

A <domain-name> element containing the value of <x400-in-domain-syntax> derived from the X.400 part of the MIXER Conformant Global Address Mapping.

COPYRIGHT
Copyright (c)1997-2002 Michael Fuhr.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC2163